<?php
require( "../config.php" );

$title='стол заявок';
aut( );
head( );
who_add( 0, "enter" );

$zag= mysql_query ("Select * from zags WHERE `kto` ='".$user[id]."' LIMIT 1 ");
$zags = mysql_fetch_array ($zag);

$mod = check($_GET['mod']);
switch($mod){



default:

echo '<center><bgsound src="logo.mid"loop="1"><a><img src="logo.gif" alt=""></a></center>';
echo '<a><img src="poza.png" alt=""></a><a href="zags.php?mod=info">информация</a> <br/>';
echo links."Добро пожаловать <b>".$user["user"]."</b> в дворец бракосочетания! <br />здесь ты можеш оставить заявку на проведение церемонии <br />".div;

if (empty($user['max'])) $user['max']=10;
$max =1;
$k_post=mysql_result(mysql_query("select count(*) as num from zags"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = mysql_query ("Select * from zags order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Заявок нет<br />';
$post_k=$start+1;
while($a = @mysql_fetch_array($r)){
echo ''.$a[id].' заявка '.nik($a[kto]).' в ('.times($a['time']).') '; 
echo links.'<a><img src="man.gif" alt=""></a> жених '.nik($a[genix]).'  '.div;
echo links.'<a><img src="woman.gif" alt=""></a> невеста '.nik($a[nevesta]).'  '.div;
echo ' свидетель '.nik($a[svid]).' <br /> ';
echo ' свидетельница '.nik($a[svidet]).' <br /> ';
echo 'дата свадьбы: '.$a[d].'-'.$a[m].'-'.$a[g].' <br />'; 
echo 'время: '.$a[cm].':'.$a[min].' <br />'; 
echo 'ведущий:   '.nik($a[ved]).' <br /><br/>'; 

if($a['ved']==$user['id'] || $user['level']==9 ){
$zat= mysql_query ("Select * from zags WHERE `status` ='1' LIMIT 1 ");
$za= mysql_fetch_array ($zat);

if($za['status']==1){
echo 'ЦЕРЕМОНИЯ НАЧАТА! <br/>'; 
}else{
echo '<a><img src="poza.png" alt=""></a><a href="zags.php?mod=nach&amp;k='.$a[id].'">начать церемонию</a> <br/>';
}
}
if($a[kto]==$user[id]) {
echo 'Удалить заявку<a href="zags.php?mod=del"><br/>
Удалить</a><br/><br/>'; 
}
if($user[level]==9) {
echo 'Удалить заявку<a href="zags.php?mod=del2&amp;k='.$a[id].'"><br/>
Удалить</a><br/><br/>'; 
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('zags?',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}
}
if($zags[kto]==$user[id]){
}else{
echo '<a><img src="poza.png" alt=""></a><a href="zags.php?mod=zaev">подать заявление</a> <br/>';
}

echo '<a><img src="poza.png" alt=""></a><a href="zags.php?mod=prov">проведенные церемонии ('.mysql_result(mysql_query("select count(*) as num from zags2"),0).')</a> <br/>';
echo '<a><img src="poza.png" alt=""></a><a href="zags.php?mod=info">информация</a> <br/>';
break;

case 'info':
echo 'Подача заявки:<br/>и так вы решили скрепить себя узами брака.<br/>для прведения церемонии вы должны заполнить бланк заявления. в котором указывается id жениха невесты свидетеля свидетельницы <br/>а таже ведущего церемонии(лицо из администрации... мера предосторожности.. от сквернословов и матершинников.. так на всякий случай)<br/>id каждого юзера можно посмотреть в его анкете.<br/><br/>в назначенный день лицо ответственное за проведение данной церемонии убеждается в наличии всех действующий лиц предварительно их уведомив чтоб были готовы и не разбегались.. со своей свадьбы<br/>далее ведущий активирует подвластную ему церемонию(в разделе свадьбы). и все действующие лица а также гости смогут пройти в комнату где и состоится брачная церемония. <br/><br/>ВЕДУЩИЙ убедившись что все собрались в комнате торжества.. и НАБЕРАЕТ КОМАНДУ<br/> !начать <br/>после этого запускается сценарий бракосочетания<br/>Также начать церемонию может главный админ<br/><br/>И совсем ненужная информация..развод... Скажите самому главному админу... . и вас разведут.<br/>'; 



echo gb."<a href='zags.php'>стол заявок</a>".div;
break;




case 'del':
if($user[id]==$zags[kto]) {
mysql_query("DELETE FROM `zags` WHERE `kto`='".$user[id]."' LIMIT 1");
header ('Location: zags.php?&'.SID); exit;
}else{
header ('Location: zags.php?&'.SID); exit;
}
break;

case 'del2':
if($user[level]==9 ) {
$pr=check(intval($_GET[k]));
mysql_query("DELETE FROM `zags` WHERE `id`='".$pr."' LIMIT 1");
header ('Location: zags.php?&'.SID); exit;
}else{
header ('Location: zags.php?&'.SID); exit;
}
break;

case 'razves':
if($user[level]==9 ){
$a= check(intval($_GET['a']));
$g= check(intval($_GET['g']));
$n= check(intval($_GET['n']));
if (mysql_query('UPDATE `zags2` SET `raz` ="1" WHERE `id` ="'.$a.'" LIMIT 1 '));
if (mysql_query('UPDATE `users` SET `para` ="" WHERE `id` ="'.$g.'" LIMIT 1 '));
if (mysql_query('UPDATE `users` SET `para` ="" WHERE `id` ="'.$n.'" LIMIT 1 '));
header ('Location: zags.php?&'.SID); exit;
}else{
header ('Location: zags.php?&'.SID); exit;
}
break;




case 'nach':
if($user[level]==9 || $user[id]==$zags[ved]) {
$pr=check(abs(intval($_GET[k])));
if (mysql_query('UPDATE `zags` SET `status` = "1" WHERE `id` ="'.$pr.'" LIMIT 1 '));
header ('Location: zags.php?&'.SID); exit;
}else{
header ('Location: zags.php?&'.SID); exit;
}
break;

case zaev:
/*
if(!isset($_GET['error']))
{*/
if ($_GET['err1']=='1')echo '<font color="red"><b>Жених не найден!</b></font><br />';
if ($_GET['err11']=='1.1')echo '<font color="red"><b>Жених не может быть женского рода!</b></font><br />';
if ($_GET['err2']=='2')echo '<font color="red"><b>Невеста не найдена!</b></font><br />';
if ($_GET['err22']=='2.2')echo '<font color="red"><b>Невеста не не может быть мужского рода!</b></font><br />';
if ($_GET['err3']=='3')echo '<font color="red"><b>Свидетель не найден!</b></font><br />';
if ($_GET['err33']=='3.3')echo '<font color="red"><b>Свидетель не может быть женского рода!</b></font><br />';
if ($_GET['err4']=='4')echo '<font color="red"><b>Свидетельница не найдена!</b></font><br />';
if ($_GET['err44']=='4.4')echo '<font color="red"><b>Свидетельница не может быть мужского рода!</b></font><br />';
if ($_GET['err5']=='5')echo '<font color="red"><b>Ведущий не найден!</b></font><br />';
if ($_GET['err6']=='6')echo '<font color="red"><b>Вы уже подали заявление!</b></font><br />';

echo '<form action="?mod=blank&'.SID.'" method="post">
Заполните бланк: <br />';
if($user[sex] == 0)
{
	echo '<b>id </b> жениха: <br />
	<input type="text" name="genix" size="5" maxlength="6" title="id жениха"/><br />
	-----------<br />';
}else
{
	echo'<b>id </b> невесты: <br />
	<input type="text" name="nevesta" size="5" maxlength="6" title="id невесты"/><br />
	-----------<br />';
}
echo '
<b>id </b> свидетеля: <br />
<input type="text" name="svid" size="5" maxlength="6" title="id свидетеля"/><br />
-----------<br />
 <b>id </b> свидетельницы: <br />
<input type="text" name="svidet" size="5" maxlength="6" title="id свидетельницы"/><br />
-----------<br />
дата/время проведения: <br />
день/месяц/год<br />
<input type="text" name="d" size="2" maxlength="2" title="день"/>_<input type="text" name="m" size="2" value="'.date(m).'" maxlength="2" title="месяц"/>_<input type="text" name="g" size="4" value="'.date(Y).'" maxlength="4" title="год"/><br/>
час/минуты<br />
<input type="text" name="cm" size="2" maxlength="2" title="час"/>:<input type="text" name="min" size="2" maxlength="2" title="минуты"/><br />
-----------<br />

<br /><input type="submit" class="ibutton" value="Подаль заявление!"/></form><br /><br />';
/*<b>id</b> ведущего: <br />
(только лицо из администрации)<br />
<input type="text" name="ved" size="5" maxlength="6" title="id невесты"/><br />*/


/*}else
{


echo '<form action="?mod=blank&'.SID.'" method="post">
Заполните бланк: <br />';
if ($_GET['err1']=='1'){echo '<font color="red"><b>id </b> жениха не найден: </font><br />
<input type="text" name="genix" size="5" maxlength="6" title="id жениха"/><br />
-----------<br />';}
elseif ($_GET['err1']=='1.1'){echo '<font color="red"><b>Жених не может быть женского рода:</b></font><br />
<input type="text" name="genix" size="5" maxlength="6" title="id жениха"/><br />
-----------<br />';}else{}
if ($_GET['err2']=='2'){echo '<font color="red"><b>id </b> невесты не найден: </font><br />
<input type="text" name="nevesta" size="5" maxlength="6" title="id невесты"/><br />
-----------<br />';}
if ($_GET['err2']=='2.2'){echo '<font color="red"><b>Невеста не может быть мужского рода: </b></font><br />
<input type="text" name="nevesta" size="5" maxlength="6" title="id невесты"/><br />
-----------<br />';}
if ($_GET['err3']=='3'){echo '<font color="red"><b>id </b> свидетеля не найден: </font><br />
<input type="text" name="svid" size="5" maxlength="6" title="id свидетеля"/><br />
-----------<br />';}
if ($_GET['err3']=='3.3'){echo '<font color="red"><bСвидетель не может быть женского рода:</b> </font><br />
<input type="text" name="svid" size="5" maxlength="6" title="id свидетеля"/><br />
-----------<br />';}
if ($_GET['err4']=='4'){echo '<font color="red"><b>id </b> свидетельницы не найден: </font><br />
<input type="text" name="svidet" size="5" maxlength="6" title="id свидетельницы"/><br />
-----------<br />';}
if ($_GET['err4']=='4.4'){echo '<font color="red"><b>Свидетельницы не может быть мужского рода:</b> </font><br />
<input type="text" name="svidet" size="5" maxlength="6" title="id свидетельницы"/><br />
-----------<br />';}
echo 'дата/время проведения: <br />
день/месяц/год<br />
<input type="text" name="d" size="2" maxlength="2" title="день"/>_<input type="text" name="m" size="2" maxlength="2" title="месяц"/>_<input type="text" name="g" size="4" maxlength="4" title="год"/><br/>';
echo 'час/минуты<br />
<input type="text" name="cm" size="2" maxlength="2" title="час"/>:<input type="text" name="min" size="2" maxlength="2" title="минуты"/><br />
-----------<br />';
echo '<b>id</b> ведущего: <br />
(только лицо из администрации)<br />
<input type="text" name="ved" size="5" maxlength="6" title="id администратора"/><br />';
echo '<br /><input type="submit" class="ibutton" value="Создать"/></form><br /><br />';
}*/
break;

case blank:
if($user['sex'] == 1)
{
	$genix = $user['id'];
	$nevesta = abs(intval($_POST['nevesta']));
	$genix_s = 1; 
	$nevesta_s = 0;
}else
{
	$genix= abs(intval($_POST['genix']));
	$nevesta= abs(intval($user['id']));
	$genix_s = 0; 
	$nevesta_s = 1;
}
$svid= abs(intval($_POST['svid']));
$svidet= abs(intval($_POST['svidet']));
$d= abs(intval($_POST['d']));
$m= abs(intval($_POST['m']));
$g= abs(intval($_POST['g']));
$ved= 1;///abs(intval($_POST['ved']));
$cm= abs(intval($_POST['cm']));
$min= abs(intval($_POST['min']));
/*///проверка жениха
if(!user($genix)){header ('Location: zags?mod=zaev&err=1&'.SID);  exit;}
$sex = $db->sql_fetchrow($db->sql_query("SELECT `sex` FROM `users` WHERE `id` = '$genix' LIMIT 1"));
if($sex['sex'] == 0){header ('Location: zags?mod=zaev&err=1.1&'.SID);  exit;}
////проверка невесты
if(!user($nevesta)){header ('Location: zags?mod=zaev&err=2&'.SID);  exit;}
$sex = $db->sql_fetchrow($db->sql_query("SELECT `sex` FROM `users` WHERE `id` = '$nevesta' LIMIT 1"));
if($sex['sex'] == 1){header ('Location: zags?mod=zaev&err=2.2&'.SID);  exit;}
////проверка свидетеля
if(!user($svid)){header ('Location: zags?mod=zaev&err=3&'.SID);  exit;}
$sex = $db->sql_fetchrow($db->sql_query("SELECT `sex` FROM `users` WHERE `id` = '$svid' LIMIT 1"));
if($sex['sex'] == 0){header ('Location: zags?mod=zaev&err=3.3&'.SID);  exit;}
////проверка свидетельницы
if(!user($svidet)){header ('Location: zags?mod=zaev&err=4&'.SID);  exit;}
$sex = $db->sql_fetchrow($db->sql_query("SELECT `sex` FROM `users` WHERE `id` = '$svidet' LIMIT 1"));
if($sex['sex'] == 1){header ('Location: zags?mod=zaev&err=4.4&'.SID);  exit;}

if(!user($$ved)){header ('Location: zags?mod=zaev&err=5&'.SID);  exit;}
///////надо узнать от какого левела проводится свадьбы и написать условие ^^^
if($zags[kto]==$user[id]){header ('Location: zags?mod=zaev&err=6&'.SID);  exit;}
*////проверка жениха
if(!user($genix)){$err = '&err1=1';}
$sex = $db->sql_fetchrow($db->sql_query("SELECT `sex` FROM `users` WHERE `id` = '$genix' LIMIT 1"));
if($sex['sex'] == '0'){$err .= '&err11=1.1';}
////проверка невесты
if(!user($nevesta)){$err .= '&err2=2';}
$sex = $db->sql_fetchrow($db->sql_query("SELECT `sex` FROM `users` WHERE `id` = '$nevesta' LIMIT 1"));
if($sex['sex'] == 1){$err .= '&err22=2.2';}
////проверка свидетеля
if(!user($svid)){$err .= '&err3=3';}
$sex = $db->sql_fetchrow($db->sql_query("SELECT `sex` FROM `users` WHERE `id` = '$svid' LIMIT 1"));
if($sex['sex'] == '0'){$err .= '&err33=3.3';}
////проверка свидетельницы
if(!user($svidet)){$err .= '&err4=4';}
$sex = $db->sql_fetchrow($db->sql_query("SELECT `sex` FROM `users` WHERE `id` = '$svidet' LIMIT 1"));
if($sex['sex'] == 1){$err .= '&err44=4.4';}

if(!user($ved)){$err .= '&err5=5';}
///////надо узнать от какого левела проводится свадьбы и написать условие ^^^
if($zags[kto]==$user[id]){$err .= '&err6=6';}
///header ('Location: zags?mod=zaev'.$err.'&amp;'.SID);
if(isset($err)){header ('Location: zags.php?mod=zaev&error&'.$err); exit;}
///если всё прошло правильно делаем запись
mysql_query("INSERT INTO `zags` (`genix`,`nevesta`,`svid`,`svidet`,`d`,`m`,`g`,`cm`,`min`,`ved`,`kto`,`time`,`status`,`nach`,`nach2`,`nach3`,`nach4`,`nach5`,`nach6`,`genix_s`,`nevesta_s`)VALUES('".$genix."','".$nevesta."','".$svid."','".$svidet."','".$d."','".$m."','".$g."','".$cm."','".$min."','".$ved."','".$user[id]."','".time()."','3','0','0','0','0','0','0','".$genix_s."','".$nevesta_s."')");
if($user['sex'] == 1)
{
	$msg = ''.user($user['id']).' подал заявление на бракосочетание и в качестве невесты указал Вас!<br /> Свидетель '.user($svid).' Свидетельница '.user($svidet).'';
}else
{
	$msg = ''.user($user['id']).' подала заявление на бракосочетание и в качестве жениха указала Вас!<br /> Свидетель '.user($svid).' Свидетельница '.user($svidet).'';
}
if($genix_s == 1) 
{
	$nk = $nevesta;
}else
{
	$nk = $genix;
}
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($nk)."','".user_inf($nk)."','$time','$msg')");

echo 'Поздравляю. вы успешно подали заявку<br/>';
echo gb."<a href='zags.php'>стол заявок</a>".div;

break;


case prov:
echo '<center>Проведенные церемонии</center>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=mysql_result(mysql_query("select count(*) as num from zags2"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = mysql_query ("Select * from zags2 order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'свадеб нет<br />';
$post_k=$start+1;
while($a = @mysql_fetch_array($r)){
echo ''.times($a[time]).' ';
echo links.'жених '.nik($a[genix]).' '.div;
echo links.'невеста '.nik($a[nevesta]).' '.div;
if($a[raz]==0){
echo '<a href="zags?mod=komm&amp;new='.$a[id].'">поздравить</a>('.mysql_result(mysql_query("select count(*) as num from zagskom where new = '".$a[id]."'"),0).')';
}
if($a[raz]==1){
echo '<br />РАЗВЕДЕНЫ';
}
if($user[level]==9){
if($a[raz]==0){
echo '<br /><a href="zags?mod=razves&amp;g='.$a[genix].'&amp;n='.$a[nevesta].'&amp;a='.$a[id].'">развести</a>';
}
}
echo '<br />-----------<br />';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('news?',$k_page,$page); // Вывод страниц
}
echo gb."<a href='zags.php'>стол заявок</a>".div;
break;


case komm:
$new = check(intval($_GET['new']));
$gol= mysql_query ("Select * from zags2 WHERE `id` ='".$new."'");
$golov = mysql_fetch_array ($gol);
if ($new==$golov[id]){
if (isset($_GET['delk'])){
if($user[level]>=5){
mysql_query("DELETE FROM `zagskom` WHERE `id` = '".intval($_GET['delk'])."'");
}
header ('Location: zags?mod='.$mod.'&new='.$new.'&'.SID);
}
if (isset($_POST['msg'])){
if (strlen2($_POST['msg'])>1){
$msg = check($_POST['msg']);
$msg = substr($msg,0,2000);
if (mysql_query ("INSERT INTO zagskom (new,user_id,time,msg) VALUES ('$new','$user[id]','$time','".$msg."')")){header ('Location: zags?mod='.$mod.'&new='.$new.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
}
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=mysql_result(mysql_query("select count(*) as num from zagskom where new = '".check(intval($_GET['new']))."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = mysql_query ("Select * from zagskom where new = '".check(intval($_GET['new']))."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'поздпавлений нет<br />';
$post_k=$start+1;
while($a = @mysql_fetch_array($r)){
echo links.''.nik($a[user_id]).'';
if($user[level]>=5)echo '<small><a href="zags?mod='.$mod.'&amp;&amp;new='.$new.'&amp;delk='.$a['id'].'">[X]</a></small>';
echo '('.times($a['time']).')'.div;
echo text($a[msg]);
echo '<dl></dl>';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('zags?mod='.$mod.'&amp;&amp;new='.$new.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}
if ($ver!='wml')echo '<form action="zags?mod='.$mod.'&amp;new='.$new.'&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<br />Ваше поздравление:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo '<br />Ваше поздравление:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="zags?mod='.$mod.'&amp;new='.$new.'&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}
echo gb."<a href='zags.php'>стол заявок</a>".div;
}else{
header ('Location: ?');  exit;
}

break;






}
echo gb."<a href=\"".H."enter\">Прихожая</a>".div;
foot( );
?>